For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all wallets
      • POSTCreate a wallet
      • GETGet a wallet
      • POSTActivate a wallet
      • POSTDeactivate a wallet
      • POSTDeprecate a wallet
      • POSTArchive a wallet
      • POSTGet the balance of a wallet
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIWallets

Create a wallet

POST
/v:version/wallets
POST
/v:version/wallets
$curl -X POST https://test.api.solvimon.com/v1/wallets \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "string",
> "wallet_type_id": "string",
> "customer_id": "string"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "status": "DRAFT",
6 "wallet_type_id": "string",
7 "customer_id": "string",
8 "created_at": "string",
9 "updated_at": "string"
10}
Requires the WALLET.CREATE permission.
Was this page helpful?
Previous

Get a wallet

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
wallet_type_idstringRequired

Resource ID of type WALLET_TYPE

customer_idstringRequired
Resource ID of type CUSTOMER
statusenum or nullOptional
Allowed values:

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
statusenum or null
Allowed values:
wallet_type_idstring

Resource ID of type WALLET_TYPE

customer_idstring
Resource ID of type CUSTOMER
created_atstring or nullRead-only
updated_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error